Bug 488884 - NetworkManager crashes on resume
NetworkManager crashes on resume
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 22:19 EST by Kevin Fenzi
Modified: 2009-03-12 00:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-12 00:16:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2009-03-05 22:19:43 EST
On resume from suspend, NM seems to crash. 
Starting it again works fine... 

I can install debuginfo if you like. 

Logs have: 

Mar  5 19:06:35 ohm NetworkManager: <info>  Waking up...
Mar  5 19:06:35 ohm NetworkManager: <info>  (eth0): now managed
Mar  5 19:06:35 ohm NetworkManager: <info>  (eth0): device state change: 1 -> 2
Mar  5 19:06:35 ohm NetworkManager: <info>  (eth0): bringing up device.
Mar  5 19:06:36 ohm NetworkManager: <info>  (eth0): preparing device.
Mar  5 19:06:36 ohm NetworkManager: <info>  (eth0): deactivating device (reason: 2).
Mar  5 19:06:36 ohm NetworkManager: <info>  (wlan0): now managed
Mar  5 19:06:36 ohm NetworkManager: <info>  (wlan0): device state change: 1 -> 2
Mar  5 19:06:36 ohm NetworkManager: <info>  (wlan0): bringing up device.
Mar  5 19:06:36 ohm bluetoothd[14952]: Registered interface org.bluez.NetworkPeer on path /org/bluez/14952/hci0
Mar  5 19:06:36 ohm bluetoothd[14952]: Registered interface org.bluez.NetworkHub on path /org/bluez/14952/hci0
Mar  5 19:06:36 ohm bluetoothd[14952]: Registered interface org.bluez.NetworkRouter on path /org/bluez/14952/hci0
Mar  5 19:06:36 ohm NetworkManager: <info>  (wlan0): preparing device.
Mar  5 19:06:36 ohm NetworkManager: <info>  (wlan0): deactivating device (reason: 2).
Mar  5 19:06:36 ohm NetworkManager: <WARN>  nm_signal_handler(): Caught signal 11.  Generating backtrace...
Mar  5 19:06:36 ohm NetworkManager: ******************* START **********************************
Mar  5 19:06:37 ohm NetworkManager: (no debugging symbols found)
Mar  5 19:06:37 ohm NetworkManager: [Thread debugging using libthread_db enabled]
Mar  5 19:06:37 ohm NetworkManager: [New Thread 0x2b2d4606d910 (LWP 25206)]
Mar  5 19:06:37 ohm NetworkManager: (no debugging symbols found)
Mar  5 19:06:37 ohm NetworkManager: 0x000000314ba0ea5d in __libc_waitpid (pid=28918, 
Mar  5 19:06:37 ohm NetworkManager:     stat_loc=<value optimized out>, options=0)
Mar  5 19:06:37 ohm NetworkManager:     at ../sysdeps/unix/sysv/linux/waitpid.c:41
Mar  5 19:06:37 ohm NetworkManager: 41#011  int result = INLINE_SYSCALL (wait4, 4, pid, stat_loc, options, NULL);
Mar  5 19:06:37 ohm NetworkManager: #0  0x000000314ba0ea5d in __libc_waitpid (pid=28918, 
Mar  5 19:06:37 ohm NetworkManager:     stat_loc=<value optimized out>, options=0)
Mar  5 19:06:37 ohm NetworkManager:     at ../sysdeps/unix/sysv/linux/waitpid.c:41
Mar  5 19:06:37 ohm NetworkManager: #1  0x000000000042eca3 in nm_logging_backtrace ()
Mar  5 19:06:37 ohm NetworkManager: #2  0x0000000000429b10 in ?? ()
Mar  5 19:06:37 ohm NetworkManager: #3  <signal handler called>
Mar  5 19:06:37 ohm NetworkManager: #4  0x000000000041351d in nm_device_get_udi ()
Mar  5 19:06:37 ohm NetworkManager: #5  0x000000000042fc98 in ?? ()
Mar  5 19:06:37 ohm NetworkManager: #6  0x0000000000430b9b in ?? ()
Mar  5 19:06:37 ohm NetworkManager: #7  0x000000388980b8ee in g_closure_invoke () from /lib64/libgobject-2.0.so.0
Mar  5 19:06:37 ohm NetworkManager: #8  0x0000003889821ef8 in ?? () from /lib64/libgobject-2.0.so.0
Mar  5 19:06:37 ohm NetworkManager: #9  0x00000038898232de in g_signal_emit_valist ()
Mar  5 19:06:37 ohm NetworkManager:    from /lib64/libgobject-2.0.so.0
Mar  5 19:06:37 ohm NetworkManager: #10 0x0000003889823873 in g_signal_emit () from /lib64/libgobject-2.0.so.0
Mar  5 19:06:37 ohm NetworkManager: #11 0x0000000000425e69 in ?? ()
Mar  5 19:06:37 ohm NetworkManager: #12 0x0000000000426603 in nm_hal_manager_query_devices ()
Mar  5 19:06:37 ohm NetworkManager: #13 0x000000000042f5ab in ?? ()
Mar  5 19:06:37 ohm NetworkManager: #14 0x00000000004336f0 in dbus_glib_marshal_nm_manager_BOOLEAN__POINTER ()
Mar  5 19:06:37 ohm NetworkManager: #15 0x000000388dc0c302 in invoke_object_method (object=<value optimized out>, 
Mar  5 19:06:37 ohm NetworkManager:     object_info=<value optimized out>, method=0x45a4b8, 
Mar  5 19:06:37 ohm NetworkManager:     connection=<value optimized out>, message=<value optimized out>)
Mar  5 19:06:37 ohm NetworkManager:     at dbus-gobject.c:1347
Mar  5 19:06:37 ohm NetworkManager: #16 0x000000388dc0ca15 in gobject_message_function (
Mar  5 19:06:37 ohm NetworkManager:     connection=<value optimized out>, message=<value optimized out>, 
Mar  5 19:06:37 ohm NetworkManager:     user_data=<value optimized out>) at dbus-gobject.c:1497
Mar  5 19:06:38 ohm NetworkManager: #17 0x000000315261c68e in _dbus_object_tree_dispatch_and_unlock (
Mar  5 19:06:38 ohm NetworkManager:     tree=0x22035f0, message=0x2240920) at dbus-object-tree.c:856
Mar  5 19:06:38 ohm NetworkManager: #18 0x0000003152610624 in dbus_connection_dispatch (connection=0x2203930)
Mar  5 19:06:38 ohm NetworkManager:     at dbus-connection.c:4447
Mar  5 19:06:38 ohm NetworkManager: #19 0x000000388dc098d5 in message_queue_dispatch (
Mar  5 19:06:38 ohm NetworkManager:     source=<value optimized out>, callback=<value optimized out>, 
Mar  5 19:06:38 ohm NetworkManager:     user_data=<value optimized out>) at dbus-gmain.c:101
Mar  5 19:06:38 ohm NetworkManager: #20 0x000000388943812e in g_main_context_dispatch ()
Mar  5 19:06:38 ohm NetworkManager:    from /lib64/libglib-2.0.so.0
Mar  5 19:06:38 ohm NetworkManager: #21 0x000000388943b888 in ?? () from /lib64/libglib-2.0.so.0
Mar  5 19:06:38 ohm NetworkManager: #22 0x000000388943bd25 in g_main_loop_run () from /lib64/libglib-2.0.so.0
Mar  5 19:06:38 ohm NetworkManager: #23 0x000000000042a476 in main ()
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager: Thread 2 (Thread 0x2b2d4606d910 (LWP 25206)):
Mar  5 19:06:38 ohm NetworkManager: #0  0x000000314ba0de4b in read () from /lib64/libpthread.so.0
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #1  0x000000388943912b in ?? () from /lib64/libglib-2.0.so.0
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #2  0x0000003889461814 in ?? () from /lib64/libglib-2.0.so.0
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #3  0x000000314ba0687a in start_thread (arg=<value optimized out>)
Mar  5 19:06:38 ohm NetworkManager:     at pthread_create.c:297
Mar  5 19:06:38 ohm NetworkManager:         __res = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager:         pd = 0x2b2d4606d910
Mar  5 19:06:38 ohm NetworkManager: 47473448376592, 
Mar  5 19:06:38 ohm NetworkManager: 3, 
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager: 0x0}, 
Mar  5 19:06:38 ohm NetworkManager: canceltype = 0}}}
Mar  5 19:06:38 ohm NetworkManager:         not_first_call = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager: #4  0x000000314aeddf6d in clone ()
Mar  5 19:06:38 ohm NetworkManager:     at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
Mar  5 19:06:38 ohm NetworkManager: No locals.
Mar  5 19:06:38 ohm NetworkManager: #5  0x0000000000000000 in ?? ()
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager: Thread 1 (Thread 0x2b2d45e6c350 (LWP 25175)):
Mar  5 19:06:38 ohm NetworkManager: #0  0x000000314ba0ea5d in __libc_waitpid (pid=28918, 
Mar  5 19:06:38 ohm NetworkManager:     stat_loc=<value optimized out>, options=0)
Mar  5 19:06:38 ohm NetworkManager:     at ../sysdeps/unix/sysv/linux/waitpid.c:41
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager:         resultvar = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager:         result = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager: #1  0x000000000042eca3 in nm_logging_backtrace ()
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #2  0x0000000000429b10 in ?? ()
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #3  <signal handler called>
Mar  5 19:06:38 ohm NetworkManager: No locals.
Mar  5 19:06:38 ohm NetworkManager: #4  0x000000000041351d in nm_device_get_udi ()
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #5  0x000000000042fc98 in ?? ()
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #6  0x0000000000430b9b in ?? ()
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #7  0x000000388980b8ee in g_closure_invoke () from /lib64/libgobject-2.0.so.0
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #8  0x0000003889821ef8 in ?? () from /lib64/libgobject-2.0.so.0
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #9  0x00000038898232de in g_signal_emit_valist ()
Mar  5 19:06:38 ohm NetworkManager:    from /lib64/libgobject-2.0.so.0
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #10 0x0000003889823873 in g_signal_emit () from /lib64/libgobject-2.0.so.0
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #11 0x0000000000425e69 in ?? ()
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #12 0x0000000000426603 in nm_hal_manager_query_devices ()
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #13 0x000000000042f5ab in ?? ()
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #14 0x00000000004336f0 in dbus_glib_marshal_nm_manager_BOOLEAN__POINTER ()
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #15 0x000000388dc0c302 in invoke_object_method (object=<value optimized out>, 
Mar  5 19:06:38 ohm NetworkManager:     object_info=<value optimized out>, method=0x45a4b8, 
Mar  5 19:06:38 ohm NetworkManager:     connection=<value optimized out>, message=<value optimized out>)
Mar  5 19:06:38 ohm NetworkManager: t.c:1347
Mar  5 19:06:38 ohm NetworkManager:         had_error = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager:         gerror = 0x0
Mar  5 19:06:38 ohm NetworkManager:         value_array = 0x22419a0
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager: v_float = 0, 
Mar  5 19:06:38 ohm NetworkManager: v_uint = 0, 
Mar  5 19:06:38 ohm NetworkManager: v_float = 0, 
Mar  5 19:06:38 ohm NetworkManager: v_pointer = 0x0}}}
Mar  5 19:06:38 ohm NetworkManager: n_guards = 0, 
Mar  5 19:06:38 ohm NetworkManager: floating = 0, 
Mar  5 19:06:38 ohm NetworkManager: is_invalid = 0, marshal = 0, 
Mar  5 19:06:38 ohm NetworkManager: notifiers = 0x0}
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager:         out_param_values = 0x224c0e0
Mar  5 19:06:38 ohm NetworkManager:         out_param_gvalues = 0x22130e0
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager:         out_param_pos = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager:         out_param_gvalue_pos = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager:         result = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager:         reply = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager: #16 0x000000388dc0ca15 in gobject_message_function (
Mar  5 19:06:38 ohm NetworkManager:     connection=<value optimized out>, message=<value optimized out>, 
Mar  5 19:06:38 ohm NetworkManager:     user_data=<value optimized out>) at dbus-gobject.c:1497
Mar  5 19:06:38 ohm NetworkManager:         pspec = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager:         object = 0x2209840
Mar  5 19:06:38 ohm NetworkManager:         setter = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager:         getter = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager:         getall = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager:         s = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager: ized out>
Mar  5 19:06:38 ohm NetworkManager:         wincaps_propiface = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager: dummy3 = 168, 
Mar  5 19:06:38 ohm NetworkManager: dummy7 = 35693120, 
Mar  5 19:06:38 ohm NetworkManager: pad1 = 0, 
Mar  5 19:06:38 ohm NetworkManager: pad3 = 0x1}
Mar  5 19:06:38 ohm NetworkManager:         method = 0x45a4b8
Mar  5 19:06:38 ohm NetworkManager:         object_info = 0x459ce0
Mar  5 19:06:38 ohm NetworkManager:         ret = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager: #17 0x000000315261c68e in _dbus_object_tree_dispatch_and_unlock (
Mar  5 19:06:38 ohm NetworkManager:     tree=0x22035f0, message=0x2240920) at dbus-object-tree.c:856
Mar  5 19:06:38 ohm NetworkManager:         user_data = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager:         next = 0x0
Mar  5 19:06:38 ohm NetworkManager:         path = 0x2251520
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager:         list = 0x220e260
Mar  5 19:06:38 ohm NetworkManager:         link = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager:         result = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager:         subtree = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager: #18 0x0000003152610624 in dbus_connection_dispatch (connection=0x2203930)
Mar  5 19:06:38 ohm NetworkManager:     at dbus-connection.c:4447
Mar  5 19:06:38 ohm NetworkManager:         message = 0x2240920
Mar  5 19:06:38 ohm NetworkManager:         link = 0x0
Mar  5 19:06:38 ohm NetworkManager:         filter_list_copy = 0x0
Mar  5 19:06:38 ohm NetworkManager:         message_link = 0x221fa40
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager:         status = <value optimized out>
Mar  5 19:06:38 ohm NetworkManager: 
Mar  5 19:06:38 ohm NetworkManager: #19 0x000000388dc098d5 in message_queue_dispatch (
Mar  5 19:06:38 ohm NetworkManager:     source=<value optimized out>, callback=<value optimized out>, 
Mar  5 19:06:38 ohm NetworkManager:     user_data=<value optimized out>) at dbus-gmain.c:101
Mar  5 19:06:38 ohm NetworkManager:         connection = 0x2203930
Mar  5 19:06:38 ohm NetworkManager: #20 0x000000388943812e in g_main_context_dispatch ()
Mar  5 19:06:38 ohm NetworkManager:    from /lib64/libglib-2.0.so.0
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #21 0x000000388943b888 in ?? () from /lib64/libglib-2.0.so.0
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #22 0x000000388943bd25 in g_main_loop_run () from /lib64/libglib-2.0.so.0
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: #23 0x000000000042a476 in main ()
Mar  5 19:06:38 ohm NetworkManager: No symbol table info available.
Mar  5 19:06:38 ohm NetworkManager: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Mar  5 19:06:38 ohm NetworkManager: ******************* END **********************************

Happy to provide more info. Happens every suspend/resume cycle here.
Comment 1 Jessica Sterling 2009-03-08 16:01:36 EDT
Hello, could you also provide the following information?  Thanks.

rpm -qa NetworkManager
uname -r
lspci output for your NIC

(I realize it will be difficult to get a stack trace of NM on resume.  Therefore Dan might have some additional questions for you.)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Kevin Fenzi 2009-03-08 16:11:10 EDT
Sure, happy to provide anymore info... 

NetworkManager-0.7.0.99-1.fc11.x86_64

2.6.29-0.203.rc7.fc11.x86_64

0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
Comment 3 Dan Williams 2009-03-09 16:43:04 EDT
Kevin, any chance you can try:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1233258

otherwise we'll have to install some debuginfo and/or debug with gdb across suspend/resume.
Comment 4 Kevin Fenzi 2009-03-12 00:16:32 EDT
ok, updated to NetworkManager-0.7.0.99-3.fc11.x86_64 and it's working now. ;) 

Not sure where the breakage was, but it's handling suspend/resume fine now. 

Closing now.

Note You need to log in before you can comment on or make changes to this bug.